unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,
  LCLTranslator, ExtCtrls, TestKompo, Translations;//,lclstrconsts;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    RadioGroup1: TRadioGroup;
    TestKompo1: TTestKompo;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    FLang : string;
    fn    : String;
  public

  end;

var
  Form1: TForm1;

resourcestring
  rsTitel   = 'English Edition';
  rsText    = 'english';
  rsEnglish = 'English';
  rsGerman  = 'German';
  rsFrench  = 'French';
implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  FLang :='de';
  //FLang :='en';
  //FLang :='fr';
  SetDefaultLang(FLang);
  //Lädt die Resourcestrings der LCL
  fn := Application.Location + 'locale/lclstrconsts.%s.po';
  Translations.TranslateUnitResourceStrings('LCLStrConsts', Format(fn, [Flang]));
  //Lädt die Resourcestrings der TestKomponente.Will man die Sprache nur beim Start setzen reicht es hier.
  fn := Application.Location + 'locale/resourcestringstestkompo.%s.po';
  Translations.TranslateUnitResourceStrings('resourcestringstestkompo', Format(fn, [Flang]));
  //Aktualisiert die PopUp-Menüeinträge
  TestKompo1.UpdateLanguage;

  RadioGroup1.Items[0]:= rsEnglish;
  RadioGroup1.Items[1]:= rsGerman;
  RadioGroup1.Items[2]:= rsFrench;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
 case Radiogroup1.itemindex of
  0: FLang :='en';
  1: FLang :='de';
  2: FLang :='fr';
  end;
 //Resourcestrings aktualisieren
 SetDefaultLang(FLang);
 RadioGroup1.Items[0]:= rsEnglish;
 RadioGroup1.Items[1]:= rsGerman;
 RadioGroup1.Items[2]:= rsFrench;
 //Komponente aktualisieren
 Translations.TranslateUnitResourceStrings('resourcestringstestkompo', Format(fn, [Flang]));
 TestKompo1.UpdateLanguage;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  MessageDlg(rsTitel, rsText, mtInformation, [mbOk, mbCancel, MbYes], 0);
end;

procedure TForm1.Button2Click(Sender: TObject);
var OpenDialog : TOpenDialog;
begin
  OpenDialog         := TOpenDialog.Create(self);
  opendialog.Execute;
end;

end.

